org.apache.ignite.logger

## Class NullLogger

- java.lang.Object
- - org.apache.ignite.logger.NullLogger

- All Implemented Interfaces:
    IgniteLogger

      public class NullLogger
      extends Object
      implements IgniteLogger

  Logger which does not output anything.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NullLogger` | `INSTANCE` Singleton instance.

    - ### Fields inherited from interface org.apache.ignite.IgniteLogger

      `DEV_ONLY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullLogger()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(String msg)` Logs out debug message.
    `void` | `error(String msg)` Logs out error message.
    `void` | `error(String msg, @Nullable Throwable e)` Logs error message with optional exception.
    `@Nullable String` | `fileName()` Gets name of the file being logged to if one is configured or `null` otherwise.
    `IgniteLogger` | `getLogger(Object ctgr)` Creates new logger with given category based off the current instance.
    `void` | `info(String msg)` Logs out information message.
    `boolean` | `isDebugEnabled()` Tests whether `debug` level is enabled.
    `boolean` | `isInfoEnabled()` Tests whether `info` level is enabled.
    `boolean` | `isQuiet()` Tests whether Logger is in "Quiet mode".
    `boolean` | `isTraceEnabled()` Tests whether `trace` level is enabled.
    `String` | `toString()`
    `void` | `trace(String msg)` Logs out trace message.
    `void` | `warning(String msg)` Logs out warning message.
    `void` | `warning(String msg, @Nullable Throwable e)` Logs out warning message with optional exception.
    `static IgniteLogger` | `whenNull(IgniteLogger log)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.IgniteLogger

      `debug, error, info, trace, warning`

- - ### Field Detail

    - #### INSTANCE

          public static final NullLogger INSTANCE

      Singleton instance.

  - ### Constructor Detail

    - #### NullLogger

          public NullLogger()

  - ### Method Detail

    - #### whenNull

          public static IgniteLogger whenNull(IgniteLogger log)

      Parameters:
        `log` - Logger.
      Returns:
        Specified logger if it is not `null`, `NullLogger` otherwise.

    - #### getLogger

          public IgniteLogger getLogger(Object ctgr)

      Creates new logger with given category based off the current instance.
      Specified by:
        `getLogger` in interface `IgniteLogger`
      Parameters:
        `ctgr` - Category for new logger.
      Returns:
        New logger with given category.

    - #### trace

          public void trace(String msg)

      Logs out trace message.
      Specified by:
        `trace` in interface `IgniteLogger`
      Parameters:
        `msg` - Trace message.

    - #### debug

          public void debug(String msg)

      Logs out debug message.
      Specified by:
        `debug` in interface `IgniteLogger`
      Parameters:
        `msg` - Debug message.

    - #### info

          public void info(String msg)

      Logs out information message.
      Specified by:
        `info` in interface `IgniteLogger`
      Parameters:
        `msg` - Information message.

    - #### warning

          public void warning(String msg)

      Logs out warning message.
      Specified by:
        `warning` in interface `IgniteLogger`
      Parameters:
        `msg` - Warning message.

    - #### warning

          public void warning(String msg,
                              @Nullable
                              @Nullable Throwable e)

      Logs out warning message with optional exception.
      Specified by:
        `warning` in interface `IgniteLogger`
      Parameters:
        `msg` - Warning message.
        `e` - Optional exception (can be `null`).

    - #### error

          public void error(String msg)

      Logs out error message.
      Specified by:
        `error` in interface `IgniteLogger`
      Parameters:
        `msg` - Error message.

    - #### error

          public void error(String msg,
                            @Nullable
                            @Nullable Throwable e)

      Logs error message with optional exception.
      Specified by:
        `error` in interface `IgniteLogger`
      Parameters:
        `msg` - Error message.
        `e` - Optional exception (can be `null`).

    - #### isTraceEnabled

          public boolean isTraceEnabled()

      Tests whether `trace` level is enabled.
      Specified by:
        `isTraceEnabled` in interface `IgniteLogger`
      Returns:
        `true` in case when `trace` level is enabled, `false` otherwise.

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Tests whether `debug` level is enabled.
      Specified by:
        `isDebugEnabled` in interface `IgniteLogger`
      Returns:
        `true` in case when `debug` level is enabled, `false` otherwise.

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Tests whether `info` level is enabled.
      Specified by:
        `isInfoEnabled` in interface `IgniteLogger`
      Returns:
        `true` in case when `info` level is enabled, `false` otherwise.

    - #### isQuiet

          public boolean isQuiet()

      Tests whether Logger is in "Quiet mode".
      Specified by:
        `isQuiet` in interface `IgniteLogger`
      Returns:
        `true` "Quiet mode" is enabled, `false` otherwise

    - #### fileName

          @Nullable
          public @Nullable String fileName()

      Gets name of the file being logged to if one is configured or `null` otherwise.
      Specified by:
        `fileName` in interface `IgniteLogger`
      Returns:
        Name of the file being logged to if one is configured or `null` otherwise.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023